<div class="listPage">
    <div class="listPageContainer">
        <div class="btn-toolbar" role="toolbar" aria-label="Toolbar with button groups">

      <div class="btn-group" role="group" aria-label="Button group with nested dropdown">
        <button type="button" class=" row btn btn-success btn-lg" ng-click="show_model()" ng-hide="localStorageToken == 'null' || localStorageToken == null">
            <i class="material-icons">
                Create Question
            </i>
          </button>
      </div>
      <div class="btn-group pull-left" role="group" aria-label="Button group with nested dropdown">
        <a type="success" class=" row btn-info btn btn-lg" >
            lecture_title : {{lecture_title}}
        </a>
        <a type="success" class=" row btn-info btn btn-lg" >
            by: : {{lecture_created.by.username}}
        </a>
        <a type="success" class=" row btn-info btn btn-lg" >
            at: : {{lecture_created.at}}
        </a>
      </div>


      <div class="btn-group" role="group">
        <button id="btnGroupDrop1" type="button" class="btn btn-secondary dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Speakers
        </button>
        <div class="dropdown-menu" aria-labelledby="btnGroupDrop1">
            <div class="dropdown-item" ng-repeat="item in speakers" >{{item.username}}</div>
        </div>
      </div>
    </div>
    </div>
</div>
<div class="listPage">
    <div class="listPageContainer">

        <div class="listBoxesArea">
            <div class="loadingArea" ng-if="showLoading">
                <img src="Images/loading.gif" />
            </div>
            <div class="listCtrl">

                <div class="clear"></div>
            </div>
            <div class="btn-toolbar btn-group-lg" role="toolbar" aria-label="Toolbar with button groups">

        </div>

        <div>
        <div class="panel panel-info" ng-repeat="item in questions | orderBy:order:toggle" ng-if = "item.visible == true">
            <div class="panel-heading">
                    <span>{{item.title}} <span class="badge hand" ng-click="orderby('voters.length')">{{item.voters.length}}</span></span>
                    <span class="pull-right hand" ng-click="orderby('created.by.username')">{{item.created.by.username}}@
                    <span class="hand" ng-click="orderby('created.at')">{{item.created.at}}</span></span>
            </div>
            <div class="panel-body">
                <p>{{item.description}}</p>
            </div>
            <div class="panel-footer" ng-show="localStorageToken!=null">
                    <form class="">
                        <div class="row">
                            <span ng-show="can_answer == true && item.completed == false">
                            <div class="form-group col-md-10 pull-left">
                                <label for="answer" class="sr-only">Answer</label>
                                <input type="text"  ng-model="item.answer.content" class="form-control" placeholder="answer">
                            </div>
                            <div class="form-group col-md-2 pull-left">
                                <button type="button" ng-click="answer(item)" class="btn btn-success">Answer</button>
                            </div>
                        </span>
                        <span ng-show="item.completed == true">
                            <div class="form-group col-md-9 pull-left">
                                <label for="answer" class="sr-only">Answer</label>
                                <input type="text" ng-model="item.answer.content" disabled class="form-control" placeholder="answer">
                            </div>
                            <div class="form-group col-md-3 pull-left">
                                <span class="pull-right hand" ng-click="orderby('answer.by')">{{item.answer.by.username}}@
                                <span class="hand" ng-click="orderby('answer.at')">{{item.answer.at}}</span></span>
                            </div>

                        </span>

                            <div class="form-group col-md-1 pull-right">
                                <button type="button" ng-click="vote(item)" class="btn btn-warning">Vote</button>
                            </div>

                            <div class="form-group col-md-1 pull-right">
                                <button type="button" ng-click="delete(item)" data-ng-disabled="is_admin"  class="btn btn-danger">Delete</button>
                            </div>

                    </form>

                </div>
        </div>
    </div>



            <!-- <div class="listCtrl bottomCtrl"> -->
                <!--<div class="pageNumberInfo inlineStyle">
                    <span>نمایش طرح ها:</span>
                    <span class="persianClassFont" ng-bind="maxRec"></span>
                    <span>از</span>
                    <span class="persianClassFont all" ng-bind="listCount"></span>
                </div>-->
                <!-- <div class="pagingCtrl inlineStyle" ng-show="listCount!==0">
                    <div class="nextPrev">
                        <ul class="pagination-sm pagination-demo"></ul>
                        <script type="text/javascript">
                            $.material.init();
                        </script>
                    </div>
                    <div class="pagingCombo">
                        <label class="pageTxt inlineStyle">صفحه</label>
                        <div class="comboStyle inlineStyle persianClassFont">
                            <div class="btn-group">
                                <a href="javascript:void(0)" class="btn btn-material-grey-50 " data-toggle="dropdown">{{selectedPageItem}}<span class="caret"></span></a>
                                <ul class="dropdown-menu">
                                    <li ng-repeat="item in boxNumberCountCombo track by $index" ng-click="selectPage(item);getListRecords(numBox, maxRecordPerPage)"><a href="javascript:void(0)">{{item}}</a></li>
                                </ul>
                            </div>
                        </div>
                        <div class="fromAll inlineStyle">
                            <label class="fromTxt inlineStyle">از</label>
                            <div class="pageNum inlineStyle">
                                <label class="persianClassFont" ng-bind="boxNumberCount"></label>
                            </div>
                        </div>
                    </div>
                    <div class="clear"></div>
                </div>
                <div class="clear"></div>
            </div> -->
        </div>

    </div>
</div>

<div class="modalArea" ng-show="show_create_modal" ng-class="modalEffectSignInUp" ng-style="{'top':topPositionSignInUp}">
    <div class="modalPageContent">
        <button type="button" class="closeX" ng-click="close_modal();onclose()"><span>×</span></button>
        <div class="modalPageBody">
            <div class="signUpInBox form-group-material-deep-orange-500">
                <div class="signUpInHeader">
                    <label>Create another question</label>
                </div>

                <div class="elementHolder inputsArea">
                    <div class="inputFields">
                        <div class="field form-group" >
                            <input type="text" class="form-control" ng-model="new_question.title" placeholder="title" dir="auto">
                        </div>
                        <div class="field form-group">
                            <input type="text" class="form-control" ng-model="new_question.description" placeholder="description" dir="auto">
                        </div>

                    </div>
                    <button class="btn btn-material-deep-orange-500 signUpInBtn" ng-click="create_question()">create</button>
                </div>
            </div>
        </div>

    </div>

</div>
